<?xml version="1.0"?>
<project name="LearningJava" default="build">

    <target name="clean" description="remove intermediate files">
        <delete>
            <fileset dir="obj" includes="**/*.class"/>
        </delete>
    </target>

    <target name="build" description="compile Java sources">
        <javac srcdir="src" destdir="obj" includeantruntime="yes"/>
    </target>

    <target name="jar" depends="build"
            description="create Jar from compiled sources">
        <mkdir dir="dist" />
        <jar destfile="dist/learning-java.jar">
            <fileset dir="obj" includes="**/*.class"/>
        </jar>
    </target>

    <target name="hello" depends="build" description="runs HelloSir">
        <java classname="com.meatballhat.learningjava.HelloSir"
            classpath="obj"/>
    </target>

</project>
